#!/usr/bin/env bash

source bin/helpers/func.sh

if [ -f $HOME/.local/bin/kcm ]; then
    printfe "%s\n" "cyan" "Removing kcm from $HOME/.local/bin"
    rm $HOME/.local/bin/kcm
    rm $HOME/.local/bin/T
fi

if [ -f $HOME/.local/bin/kcm-completion.bash ]; then
    printfe "%s\n" "cyan" "Removing kcm-completion.bash from $HOME/.local/bin"
    rm $HOME/.local/bin/kcm-completion.bash
fi

if [ -f $HOME/.local/bin/php ]; then
    printfe "%s\n" "cyan" "Removing php from $HOME/.local/bin"
    rm $HOME/.local/bin/php
fi

if [ -f $HOME/.local/bin/composer ]; then
    printfe "%s\n" "cyan" "Removing composer from $HOME/.local/bin"
    rm $HOME/.local/bin/composer
fi

if [ -f $HOME/.local/bin/phpstan ]; then
    printfe "%s\n" "cyan" "Removing phpstan from $HOME/.local/bin"
    rm $HOME/.local/bin/phpstan
fi

if [ -f /usr/share/bash-completion/completions/kcm ]; then
    # Check root privileges
    if [ "$EUID" -ne 0 ]; then
        printfe "%s\n" "red" "Please run as root"
        exit 1
    fi

    printfe "%s\n" "cyan" "Removing kcm bash completion from /usr/share/bash-completion/completions"
    rm /usr/share/bash-completion/completions/kcm
fi

if [ -f /usr/local/bin/kcm ]; then
    # Check root privileges
    if [ "$EUID" -ne 0 ]; then
        printfe "%s\n" "red" "Please run as root"
        exit 1
    fi
    
    printfe "%s\n" "cyan" "Removing kcm from /usr/local/bin"
    rm /usr/local/bin/kcm
fi

printfe "%s\n" "green" "Uninstall complete."
