package commands

import (
	"github.com/rs/zerolog/log"
	"github.com/spf13/cobra"
	"github.com/vleeuwenmenno/kcm/src/models"
)

func NewClearCmd(history *models.History) *cobra.Command {
	return &cobra.Command{
		Use:     "clear",
		Short:   "Clear clipboard history",
		Aliases: []string{"--clear"},
		Run: func(cmd *cobra.Command, args []string) {
			history.Clear()
			log.Info().Msg("Clipboard history cleared")
		},
	}
}
