package utils

import (
	"strconv"

	"golang.design/x/clipboard"
)

func Summary(data []byte, format clipboard.Format) string {
	if format == clipboard.FmtText {
		// Remove newlines for summary
		clean := make([]byte, 0, len(data))
		for _, b := range data {
			if b != '\n' && b != '\r' {
				clean = append(clean, b)
			}
		}
		if len(clean) > 40 {
			return string(clean[:40]) + "..."
		}
		return string(clean)
	}
	if format == clipboard.FmtImage {
		return "[image] " + strconv.Itoa(len(data)) + " bytes"
	}
	return "[unknown format]"
}
